# Type alias Input<N>

Input<N>: Meta.Input<Resources.Collections, N>

Input type for a given collection name

#### Type Parameters

- #### N extends Resources.CollectionName = Resources.CollectionName

#### Example

    import { Resources } from "@truffle/db";

    const sourceInput: Resources.Input<"sources"> = {
      contents: "echo \"hello world\""
    }

- Defined in packages/db/src/resources/types.ts:227

Generated using TypeDoc